Goal conversions

GET https://userlyze.com/api/goals-conversions/
curl --request GET \
--url 'https://userlyze.com/api/goals-conversions/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Einzelheiten Beschreibung
goal_id Optional Ganzzahl
website_id Optional Ganzzahl
order_by Optional String Nach welchem Feld sollen die Ergebnisse sortiert werden? Erlaubte Werte sind: conversion_id, datetime.
order_type Optional String Die Reihenfolge der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Reihenfolge und DESC für absteigende Reihenfolge.
page Optional Ganzzahl Die Seitenzahl, von der du Ergebnisse haben möchtest. Standardmäßig auf 1 gesetzt.
results_per_page Optional Ganzzahl Wie viele Ergebnisse möchtest du pro Seite? Erlaubte Werte sind: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standardmäßig ist es 25.
{
    "data": [
        {
            "id": 1,
            "website_id": 1,
            "user_id": 1,
            "visitor_id": 1,
            "session_id": 1,
            "event_id": 1,
            "datetime": "2026-03-27 11:36:08"
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://userlyze.com/api/goals-conversions?page=1",
        "last": "https://userlyze.com/api/goals-conversions?page=1",
        "next": null,
        "prev": null,
        "self": "https://userlyze.com/api/goals-conversions?page=1"
    }
}
GET https://userlyze.com/api/goals-conversions/{conversion_id}
curl --request GET \
--url 'https://userlyze.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "website_id": 1,
        "user_id": 1,
        "visitor_id": 1,
        "session_id": 1,
        "event_id": 1,
        "datetime": "2026-03-27 11:36:08"
    }
}
POST https://userlyze.com/api/goals-conversions
Parameter Einzelheiten Beschreibung
goal_id Erforderlich Ganzzahl -
visitor_id Optional Ganzzahl Verfügbar wann: tracking_mode = normal
session_id Optional Ganzzahl Verfügbar wann: tracking_mode = normal
event_id Optional Ganzzahl Verfügbar wann: tracking_mode = normal
curl --request POST \
--url 'https://userlyze.com/api/goals-conversions' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'goal_id=1' \
--form 'visitor_id=1' \
{
    "data": {
        "id": 1
    }
}
POST https://userlyze.com/api/goals-conversions/{conversion_id}
Parameter Einzelheiten Beschreibung
website_id Optional Ganzzahl -
type Optional String Erlaubte Werte: pageview , custom
name Optional String -
path Optional String Verfügbar wann: type = pageview
key Optional String -
curl --request POST \
--url 'https://userlyze.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
    "data": {
        "id": 1
    }
}
DELETE https://userlyze.com/api/goals-conversions/{conversion_id}
curl --request DELETE \
--url 'https://userlyze.com/api/goals-conversions/{conversion_id}' \
--header 'Authorization: Bearer {api_key}' \